/*
 * DigitalClock.cpp
 *
 *  Created on: 03/giu/2013
 *      Author: bertini
 */

#include "DigitalClock.h"
#include <iostream>

DigitalClock::DigitalClock(Timer* in) {
	subject = in;
}

DigitalClock::~DigitalClock() {
	detach();
}

void DigitalClock::displayTime() {
	std::cout << "Digital clock - Time: " << time << std::endl;
}


void DigitalClock::update() {
	time = subject->getSecond();
	displayTime();
}

void DigitalClock::attach() {
	subject->subscribe( this );
}

void DigitalClock::detach() {
	subject->unsubscribe( this );
}
